Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.logging
[Java] Interface Logger

    org.slf4j.Logger
      org.gradle.api.logging.Logger

    public interface Logger
    extends Logger

An extension to the SLF4J `Logger` interface, which adds the `quiet` and `lifecycle` log levels.

You can obtain a `Logger` instance using Logging#getLogger(Class)#getLogger(Class) or Logging#getLogger(String)#getLogger(String). A `Logger` instance is also available through Project.getLogger, Task.getLogger and Script.getLogger.

Method Summary
`boolean` | `isEnabled(LogLevel level)` Returns true if the given log level is enabled for this logger.
`boolean` | `isLifecycleEnabled()` Returns true if lifecycle log level is enabled for this logger.
`boolean` | `isQuietEnabled()` Returns true if quiet log level is enabled for this logger.
`void` | `lifecycle(java.lang.String message)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Object objects)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at lifecycle log level.
`void` | `log(LogLevel level, java.lang.String message)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Object objects)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)` Logs the given message at the given log level.
`void` | `quiet(java.lang.String message)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Object objects)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at quiet log level.

Method Detail

### isEnabled

    public boolean isEnabled(LogLevel level)

  Returns true if the given log level is enabled for this logger.

### isLifecycleEnabled

    public boolean isLifecycleEnabled()

  Returns true if lifecycle log level is enabled for this logger.

### isQuietEnabled

    public boolean isQuietEnabled()

  Returns true if quiet log level is enabled for this logger.

### lifecycle

    public void lifecycle(java.lang.String message)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Object objects)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

### log

    public void log(LogLevel level, java.lang.String message)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Object objects)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.
    `objects` - the log message parameters.

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.
    `throwable` - the exception to log.

### quiet

    public void quiet(java.lang.String message)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.

### quiet

    public void quiet(java.lang.String message, java.lang.Object objects)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### quiet

    public void quiet(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

Groovy Documentation